EmbedSOM {EmbedSOM} | R Documentation

## Process the cells with SOM into a nice embedding

### Description

Process the cells with SOM into a nice embedding

### Usage

    EmbedSOM(fsom = NULL, smooth = NULL, k = NULL, adjust = NULL,
      data = NULL, map = NULL, importance = NULL, emcoords = "flat",
      emcoords.pow = 1)

### Arguments

`fsom` | FlowSOM object with a built SOM (used if data or map are missing)
`smooth` | Produce smoother (positive values) or more rough approximation (negative values).
`k` | How many SOM neighbors to take into the whole computation
`adjust` | How much non-local information to remove (parameter a)
`data` | Data matrix with points that optionally overrides the one from 'fsom$data'.
`map` | Map object in FlowSOM format, to optionally override 'fsom$map'
`importance` | Importance of dimensions that was used to train the SOM
`emcoords` | Either a matrix of embedded coordinates (same number of rows as map$coords, and either 2 or 3 columns depending on the SOM grid dimension), or one of 'flat' (default behavior), 'som' (adjust the SOM coords according to U-matrix distances), 'mst' (embed to MST-like structure), 'fsom-mst' (embed to MST that should look exactly like that of FlowSOM), 'tsne' (embed using tSNE from package Rtsne), 'umap' (embed using UMAP from package umap) or 'uwot::umap' (embed using UMAP from package uwot)
`emcoords.pow` | Exaggeration factor (power) of the distances in U-matrix used for some methods of auto-generating emcoords; default 1.

### Value

matrix with 2D or 3D coordinates of the embedded cels, depending on the map

### Examples

    d <- cbind(rnorm(10000), 3*runif(10000), rexp(10000))
    colnames(d) <- paste0("col",1:3)
    map <- EmbedSOM::SOM(d, xdim=10, ydim=10)
    e <- EmbedSOM::EmbedSOM(data=d, map=map)
    EmbedSOM::PlotEmbed(e, data=d, 'col1', pch=16)

[Package EmbedSOM version 1.9.1 Index]